| Classes | Functions | DevRef | Qt API | Qtopia Documentation |

# DocLnk Class Reference

The DocLnk class represents loaded document references. More...

`#include <applnk.h>`

Inherits AppLnk.

List of all member functions.

## Public Members

- DocLnk ()
- DocLnk ( const DocLnk & o )
- DocLnk ( const QString & file )
- DocLnk ( const QString & file, bool may_be_desktopfile )
- virtual ~DocLnk ()

## Detailed Description

The DocLnk class represents loaded document references.

## Member Function Documentation

### DocLnk::DocLnk ()

Constructs an invalid DocLnk.

### DocLnk::DocLnk ( const DocLnk & o )

Copies o.

### DocLnk::DocLnk ( const QString & file )

Constructs a DocLnk from a valid .desktop file or a new .desktop file for other files.

### DocLnk::DocLnk ( const QString & file, bool may_be_desktopfile )

Constructs a DocLnk from a valid .desktop file or a new .desktop file for other files. If may_be_desktopfile is TRUE, then an attempt is made to read file as a .desktop file; if that fails it is read as a normal file.

### DocLnk::~DocLnk ()`[virtual]`

Destroys the DocLnk. Just like AppLnk objects, a run-time error occurs if the DocLnk is a member of a DocLnkSet (or AppLnkSet).

This file is part of the Qtopia , copyright © 1995-2002 Trolltech, all rights reserved.